List signing requests
curl --request GET \
--url https://api.gospott.com/attachments/signing-requests \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/attachments/signing-requests"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/attachments/signing-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"provider": "DOCUSIGN",
"envelopeId": "<string>",
"status": "CREATED",
"sender": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"sentAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"recipients": [
{
"id": "<string>",
"status": "CREATED",
"name": "<string>",
"emailAddress": "<string>",
"signedAt": "2023-11-07T05:31:56Z",
"declinedAt": "2023-11-07T05:31:56Z",
"candidate": {
"id": "<string>"
},
"clientContact": {
"id": "<string>"
}
}
],
"documents": [
{
"attachmentId": "<string>",
"attachmentName": "<string>",
"type": "UNASSIGNED",
"customType": {
"id": "<string>",
"name": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"extension": "<string>",
"size": 123
}
]
}
],
"pagination": {
"cursor": "<string>"
}
}{
"status": 0,
"message": "Limit must be between 1 and 50",
"requestId": "<string>",
"statusCode": 400,
"error": "Bad Request"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Attachments
List signing requests
Returns a list of signing requests. Uses cursor pagination. Optionally filter by attachment IDs.
GET
/
attachments
/
signing-requests
List signing requests
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Query Parameters
Number of signing requests to return per page (min: 1, max: 50, default: 25).
Required range:
1 <= x <= 50Example:
25
Opaque cursor string for pagination. Use the cursor value from a previous response to fetch the next page. Omit for the first page.
modifiedSince
Option 1 · string<date-time>Option 2 · string<date-time>
default:1970-01-01T00:00:00.000Z
Filter signing requests modified on or after this date. Useful for incremental synchronization. Defaults to the beginning of time if not provided.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2024-11-01T00:00:00.000Z"
Filter signing requests to those that reference at least one of the given attachment IDs.
Required array length:
1 - 100 elementsExample:
["attachment-123", "attachment-456"]
Was this page helpful?